package org.springblade.audit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.audit.entity.IntProvinceViolation;
import org.springblade.audit.mapper.IntProvinceViolationMapper;
import org.springblade.audit.service.IIntProvinceViolationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 省分违约明细表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-29
 */
@Service
@DS("oracle143")
public class IntProvinceViolationServiceImpl extends ServiceImpl<IntProvinceViolationMapper, IntProvinceViolation> implements IIntProvinceViolationService {

	@Autowired
	private IntProvinceViolationMapper intProvinceViolationMapper;

	@Override
	public void giveSpidSoul(String theMonth) {
		intProvinceViolationMapper.giveSpidSoul(theMonth);
	}

	@Override
	public void giveSpidSoulTwo(String theMonth) {
		intProvinceViolationMapper.giveSpidSoulTwo(theMonth);
	}

	@Override
	public void deleteRepeatData(String theMonth) {
		intProvinceViolationMapper.deleteRepeatData(theMonth);
	}

	@Override
	public void settingFileTag(String theMonth) {
		intProvinceViolationMapper.settingFileTag(theMonth);
	}
}
